package org.example.repository;

import org.example.entity.Passing;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;
import java.util.Optional;

public interface PassingRepository extends JpaRepository<Passing, Long> {
    List<Passing> findByUsername(String login);

    @Override
    Page<Passing> findAll(Pageable pageable);
}
