package org.example.service;

import org.example.dto.PassingDTO;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.List;

public interface PassingService {
    List<PassingDTO> getPassingByUsername(String username);

    Page<PassingDTO> getAllPassingPaginated(Pageable pageable);

    PassingDTO createPassing(PassingDTO dto);
}
