package org.example.util;

import lombok.experimental.UtilityClass;
import org.example.dto.PassingDTO;
import org.example.entity.Passing;

@UtilityClass
public class PassingMapper {
    public PassingDTO convertToDto(Passing passing) {
        PassingDTO dto = new PassingDTO();
        dto.setId(passing.getId());
        dto.setUsername(passing.getUsername());
        dto.setType(passing.getType());
        dto.setTime(passing.getTime());
        dto.setCode(passing.getCode());

        return dto;
    }
}
