package org.example.util;

import lombok.experimental.UtilityClass;
import org.example.dto.UserDTO;
import org.example.entity.User;

@UtilityClass
public class UserMapper {
    public UserDTO convertToDto(User user) {
        UserDTO dto = new UserDTO();
        dto.setId(user.getId());
        dto.setUsername(user.getUsername());
        dto.setName(user.getName());
        dto.setPhoto(user.getPhoto());
        dto.setPosition(user.getPosition());
//      dto.setLastVisit(user.getLastVisit());

        return dto;
    }
}
